Subject: Re: PATCH WAS( Re: [ANNOUNCE] iproute2 v2.6.25

From: Patrick McHardy <[email-masked]>
Date: Fri, 18 Apr 2008 16:22:55 +0200

jamal wrote
> BTW, speaking of scripts and command line output changes (and to
> emphasize my earlier comments):
> A lot of people managing router configuration out there in the wild do
> write parsers that depend on how output looks like (typically a
> send/expect interaction)[1]. They invest time in writting such scripts.
> In an old job at one point, a customer was adamant they wouldnt buy our
> new super-dupper device merely because we changed the command output by
> iirc removing a ":" in one of them. Theyd have to rewrite things and go
> through whole regression testing.

Yes, that sucks (ran into the same problem with iproute in a
previous job). I added the ENV dump format to libnl a couple
of years ago (NAME=val), should be easy to add a set of simple
tools to get the information and export it in the environment.